# Avogadro

[![GitHub release](https://img.shields.io/github/release/cryos/avogadro.svg?maxAge=86400)](https://sourceforge.net/projects/avogadro/files/latest/download)
[![Download Avogadro](https://img.shields.io/sourceforge/dt/avogadro.svg?maxAge=86400)](https://sourceforge.net/projects/avogadro/files/latest/download)
[![Google Scholar Citations](https://avogadro.cc/citations.svg?maxAge=86400)](https://scholar.google.com/scholar?cites=618227831851025693&as_sdt=5,38&sciodt=0,38&hl=en)

Avogadro is an advanced molecular editor designed for cross-platform use
in computational chemistry, molecular modeling, bioinformatics, materials
science, and related areas. It offers flexible rendering and a powerful
plugin architecture.

* **Cross-Platform**: Molecular builder/editor for Windows, Linux, and Mac OS X.
* **Free, Open Source**: Easy to install and all source code is available under the GNU GPL.
* **International**: Translations into over 25 languages, including Chinese, French, German, Italian, Russian, and Spanish, with more languages to come.
* **Intuitive**: Built to work easily for students and advanced researchers both.
* **Fast**: Supports multi-threaded rendering and computation.
* **Extensible:** Plugin architecture for developers, including rendering, interactive tools, commands, and Python scripts.
* **Flexible**: Features include Open Babel import of chemical files, input generation for multiple computational chemistry packages, crystallography, and biomolecules.

For more information, see <http://avogadro.cc/>

Manual: <http://manual.avogadro.cc/content/>

Discussion Forum: <http://discuss.avogadro.cc/>

>Avogadro is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

> Avogadro is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See INSTALL file for installation instructions.
